> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/triplocation.md).

# TripLocation

Represents the user's location during an ongoing Trip. See [startReceivingUpdates(with:\_:)](/important-topics/sdk/api-reference/ios/triplocations.md#startreceivingupdates-with).

## TripLocation API

### `altitude`

Altitude above mean sea level, in meters. `nil` if altitude is not available.

```swift
let altitude: CLLocationDistance?
```

### `course`

Course, in degrees relative to true north. `0` indicates north and values increase clockwise. Course values may not be available on all devices. `nil` if not available.

```swift
let course: CLLocationDirection?
```

### `courseAccuracy`

Course accuracy, in degrees. The radius of uncertainty for [course](#course). When available (iOS 13.4+), this represents a 68% confidence interval for the reported course. `nil` if not provided by the location.

```swift
let courseAccuracy: CLLocationDirectionAccuracy?
```

### `horizontalAccuracy`

Horizontal accuracy radius, in meters. `nil` if not available.

```swift
let horizontalAccuracy: CLLocationAccuracy?
```

### `latitude`

Latitude in decimal degrees.

```swift
let latitude: CLLocationDegrees
```

### `longitude`

Longitude in decimal degrees.

```swift
let longitude: CLLocationDegrees
```

### `speed`

Speed, in meters per second. `nil` if not available.

```swift
let speed: CLLocationSpeed?
```

### `speedAccuracy`

Speed accuracy, in meters per second. The radius of uncertainty for [speed](#speed). `nil` if the source does not provide a speed accuracy.

```swift
let speedAccuracy: CLLocationSpeedAccuracy?
```

### `timestamp`

The timestamp at which the location fix was determined.

```swift
let timestamp: Date
```

### `transportMode`

The most probable transport mode at the time of this location. See [SENTTimelineTransportMode](/important-topics/sdk/api-reference/ios/event-timeline/senttimelinetransportmode.md).

```swift
let transportMode: SENTTimelineTransportMode
```

### `verticalAccuracy`

Vertical accuracy, in meters. `nil` if not available.

```swift
let verticalAccuracy: CLLocationAccuracy?
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/triplocation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
